INTEL_PSR_FLUSH(9)

NAME
intel_psr_flush - Flush PSR

SYNOPSIS

void intel_psr_flush(struct drm_device * dev, unsigned frontbuffer_bits);

ARGUMENTS

dev
    DRM device

frontbuffer_bits
    frontbuffer plane tracking bits

DESCRIPTION

Since the hardware frontbuffer tracking has gaps we need to integrate with the software frontbuffer tracking. This function gets called every time frontbuffer rendering has completed and flushed out to memory. PSR can be enabled again if no other frontbuffer relevant to PSR is dirty.

Dirty frontbuffers relevant to PSR are tracked in busy_frontbuffer_bits.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT